<h2> <%= I18n.t('activerecord.mailers.user_notifier.default.hi') %> <%= @interested.try(:nickname) || @interested.try(:email) %>,</h2>
<% if @check_button.nil? %>
  <h4><%= I18n.t('activerecord.mailers.user_notifier.button_tag.intro') %></h4>
  <h4>  <% @tagParam.try(:name) %> </h4>
  <% @button.needed_tags.each.with_index do |tag, index| %>
    <% if (tag.name == @tagParam.try(:name)) %>
      <div style="border-radius: 24px;color: #fff;display: inline-block;font-size: .65rem;margin: 0 .5rem .5rem 0;padding: 0.3rem 0.7rem;background: #EA5648;font-weight: bold;"><%= tag.name %></div>
    <% end %>
  <% end %>
  <% @button.offer_tags.each.with_index do |tag, index| %>
    <% if (tag.name == @tagParam.try(:name)) %>
      <div style="border-radius: 24px;color: #fff;display: inline-block;font-size: .85rem;margin: 0 .5rem .5rem 0;padding: 0.3rem 0.7rem;background: #EA5648;font-weight: bold;"><%= tag.name %></div>
    <% end %>
  <% end %>
<% else %>
  <% if @button.active%>
    <h3><%= I18n.t('activerecord.mailers.user_notifier.active_button.intro.active') %></h3>
  <% else %>
    <h3><%= I18n.t('activerecord.mailers.user_notifier.active_button.intro.hide') %></h3>
  <% end %>
<% end %>
<div style="max-width: 31.25rem; width: 100%;box-shadow: none; border-radius: 0px;border: 0px;margin-bottom: 0px;margin-left: auto;margin-right: auto;cursor: auto;display: block;">
  <div style="box-shadow: none;border: 0px; margin-bottom: 30px; background: #fff; border-radius: 0.3125rem !important;position:relative;display:block;" class="button-with-icon">
    <div style="padding:1rem;display:block;">
      <div style="display: flex;flex-flow: row nowrap;justify-content: space-between;padding-bottom: 0.5rem;">
        <div style="flex: 0 1 15%;align-items: center !important;display: flex !important;">
          <div id="ember1309" href="/user/4/buttons" style="border-radius: 50%;display: flex;justify-content: center;overflow: hidden;max-height: 4.375rem;max-width: 4.375rem;height: 4.375rem;width: 4.375rem;">
            <% if @avatar %>
              <%= image_tag(@avatar, alt: "Button Image", width: "auto", height: "100%", style: "-ms-interpolation-mode:bicubic; clear:both; display:block; width:auto; height:100%; vertical-align:middle; border-style:none;") %>
            <% else %>
              <%= image_tag("https://helpbuttons.org/images/mails/profile_def2.png", alt: "Button Image", width: "auto", height: "100%", style: "-ms-interpolation-mode:bicubic; clear:both; display:block; width:auto; height:100%; vertical-align:middle; border-style: none;") %>
            <% end %>
          </div>
        </div>
        <div style="flex: 0 1 80%;padding-left: 1rem;text-align: left;display:block;">
          <% if @isNeedType %>
          <div style="font-size: .75rem;font-weight: bold;display:block;color:red;">
            BUSCA / NECESITA
          </div>
          <% elsif @isOfferType %>
          <div style="font-size: .75rem;font-weight: bold;display:block;color:#19AF96;">
            OFRECE
          </div>
          <% else %>
          <div style="font-size: .75rem;font-weight: bold;display:block;">
            <span class="color:#19AF96;">OFRECE</span> y <span class="color:red;">BUSCA A CAMBIO</span>
          </div>
          <% end %>
          <div style="font-size: 1rem;font-weight: bold;padding-top: .25rem;text-align:left;display:block;">
            <%= @user.nickname %>
          </div>
        </div>
      </div>
      <div style="display:block;">
        <div style="display: flex;flex-flow: row wrap; padding: .25rem 0 0 0; width:100%; overflow: auto;">
          <% @button.needed_tags.each.with_index do |tag, index| %>
          <div style="border-radius: 24px;color: #fff;display: inline-block;font-size: .85rem;margin: 0 .5rem .5rem 0;padding: 0.3rem 0.7rem;background: #EA5648;font-weight: bold;"><%= tag.name %></div>
          <% end %>
        </div>
        <div style="display: flex;flex-flow: row wrap;padding: .25rem 0 0 0;">
          <% @button.offer_tags.each.with_index do |tag, index| %>
          <div style="border-radius: 24px;color: #fff;display: inline-block;font-size: .85rem;margin: 0 .5rem .5rem 0;padding: 0.3rem 0.7rem;background: #19AF96;font-weight: bold;"><%= tag.name %></div>
          <% end %>
        </div>
      </div>
      <div style="word-break: break-word;color: rgba(0, 0, 0, 0.4);font-size: .85rem;line-height: 1.25rem;padding: 0.5rem 0;text-align: left;">
        <p>
          <%= @button.description %>
        </p>
      </div>
      <div style="text-align:left;">
        <div style="color: black;font-size: .85rem;font-weight: bold;flex: 0 0 auto;width: auto;max-width: 100%;">
          <p>
            <% if @button.to_location_name.nil? %>
            En <%= @button.location_name %>
            <% else %>
            De  <%= @button.location_name %>  A  <%= @button.to_location_name %>
            <% end %>
          </p>
        </div>
        <div style="color: black;font-size: .85rem;font-weight: bold;flex: 0 0 auto;width: auto;max-width: 100%;">
          <%= @buttonDate %>
        </div>
      </div>
    </div>
    <div style="width: 100%;border-radius: 0.3125rem;">
      <% if @buttonImage %>
        <picture style="width:100%;">
          <%= image_tag(@buttonImage, alt: "ButtonImage", style: "-ms-interpolation-mode:bicubic; clear:both; display:block; border-radius:0.3125rem; width: 100%; height:auto; bottom:-4px; position: relative;") %>
        </picture>
      <% end %>
    </div>
  </div>
</div>
<div>
<a href="<%= @redirectURL %>" style="text-decoration:none; width:100vw; display: inline; height: 7rem; border: 0.125rem solid #343a40; border-radius: 0.3125rem; padding: 0.5rem 4rem; background:#FFDD02; color:black ;" target="_blank">Ver botón</a>
</div>
